#ifndef _SAMPLES_H
#define _SAMPLES_H

class Samples {
 public:
    Samples(int maxSamples, float hor);
    void Clean();
    void RecordSample(float newTime, float newVal);
    float LookupSample(float targTime);
    float SumSamples(float t1, float t2);
    float AverageSample(float t1, float t2);
    float VarianceSample(float t1, float t2);
    float NinetyPercentSample(float t1, float t2);
    float PercentileSample(float t1, float t2, int perc);    
 private:
    int LookupIndex(float t);
    float *samples;
    float *times;
    float *scratch;
    float horizon;
    int maxSamples;
    int end;
};

#endif
