#ifndef _EVENTS_H
#define _EVENTS_H

/* endpoint events */
#define SEND_TIMER		1	/* for the uniform process */
#define TIMEOUT			2	/* timeouts for any message */
#define BURST_START_TIMER	3	/* for starting the burst process */
#define BURST_TIMER		4	/* for each msg of the burst process */
#define BURST_TIMEOUT		5	/* not used */
#define RTT_TIMER		6	/* one per RTT for u-compensation */

#define START_TIMER		7	/* starting flows */
#define BURST_STATS_ON		8	/* for turning on and off burst stats */
#define BURST_STATS_OFF		9	/* for turning on and off burst stats */

/* receiver event */
#define DELACK_TIMER		10	


/* link events */
#define FIRE_TIMER		11	/* link finishes transmitting a message */

/* common events */
#define ENQUEUE_TIMER		12	/* message is given to a node/link */

/* network events */
#define START_STATS		21
#define END_STATS		22

#endif

